import request from "@/utils/request";

// 查询【请填写功能名称】列表
export function listOptionPara(query) {
  return request({
    url: "/business/areaOption/para/list",
    method: "get",
    params: query,
  });
}

// 查询【请填写功能名称】详细
export function getOptionPara(id) {
  return request({
    url: "/business/areaOption/para/" + id,
    method: "get",
  });
}

// 查询当前选配项目的可选选配参数
export function getOptionParaSelection(id) {
  return request({
    url: "/business/areaOption/para/getOptionParaSelection/" + id,
    method: "get",
  });
}

// 新增【请填写功能名称】
export function addOptionPara(data) {
  return request({
    url: "/business/areaOption/para",
    method: "post",
    data: data,
  });
}

// 修改【请填写功能名称】
export function updateOptionPara(data) {
  return request({
    url: "/business/areaOption/para",
    method: "put",
    data: data,
  });
}

export function toggleStatusOptionPara(data) {
  return request({
    url: "/business/areaOption/para/toggleStatus",
    method: "put",
    data: data,
  });
}

// 删除【请填写功能名称】
export function delOptionPara(id) {
  return request({
    url: "/business/areaOption/para/" + id,
    method: "delete",
  });
}
